<?php

namespace App\Http\Controllers;

use App\Models\FasilitasKesehatan;
use Illuminate\Http\Request;

class GawatDaruratSatuController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    protected $routeName = 'GawatDaruratSatu';
    protected $viewName = 'gawat_darurat_satu';
    protected $title = 'Rumah Sakit Gawat Darurat';
    public function index()
    {
        //
        $RumahSakit = FasilitasKesehatan::where('tipe', 'RUMAH SAKIT')->get();
        $data=[
            'route'=>$this->routeName,
            'title'=>$this->title,
            'RumahSakit' => $RumahSakit,
        ];
        return view($this->viewName.'.index')->with($data);
    }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $FasilitasKesehatan = FasilitasKesehatan::where('id', $request->id)->first();
        $FasilitasKesehatan->update([
            $request->name => $request->value,
        ]);
        $persen = $FasilitasKesehatan->kemenkes + $FasilitasKesehatan->pemprov + $FasilitasKesehatan->pemkot + $FasilitasKesehatan->tni_polri + $FasilitasKesehatan->bumn + $FasilitasKesehatan->ormas + $FasilitasKesehatan->swasta>0?number_format($FasilitasKesehatan->gawat_darurat_1/($FasilitasKesehatan->kemenkes + $FasilitasKesehatan->pemprov + $FasilitasKesehatan->pemkot + $FasilitasKesehatan->tni_polri + $FasilitasKesehatan->bumn + $FasilitasKesehatan->ormas + $FasilitasKesehatan->swasta) * 100, 2):0;
        return response()->json([
            'status' => 'success',
            'persen' => $persen,
        ]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
