<?php

namespace App\Http\Controllers;

use App\Models\Desa;
use App\Models\JumlahKematianIbu;
use App\Models\UnitKerja;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class JumlahKematianIbuController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    protected $routeName = 'JumlahKematianIbu';
    protected $viewName = 'jumlah_kematian_ibu';
    protected $title = 'Jumlah Kematian Ibu';
    public function index(Request $request)
    {
        $unit_kerja = UnitKerja::all();
        $data=[
            'route'=>$this->routeName,
            'title'=>$this->title,
            'unit_kerja' =>  $unit_kerja,
            'desa' => Auth::user()->unit_kerja?Auth::user()->unit_kerja->Desa()->get():Desa::all(),
        ];

        return view($this->viewName.'.index')->with($data);
    }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $jumlahKematianIbu = JumlahKematianIbu::where('id', $request->id)->first();
        $jumlahKematianIbu->update([
            $request->name => $request->value,
        ]);
        $total = $jumlahKematianIbu->jumlah_kematian_ibu_hamil + $jumlahKematianIbu->jumlah_kematian_ibu_bersalin + $jumlahKematianIbu->jumlah_kematian_ibu_nifas;
        return response()->json([
            'status' => 'success',
            'total' => $total,
        ]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
