<?php

namespace App\Http\Controllers;

use App\Models\Desa;
use App\Models\IbuHamilDanBersalin;
use App\Models\UnitKerja;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class TtdController extends Controller
{
    protected $routeName = 'Ttd';
    protected $viewName = 'Ttd';
    protected $title = 'Tablet Tambah Darah';
    public function index(Request $request)
    {
        $unit_kerja = UnitKerja::all();
        // $desa = Desa::all();
        // foreach ($desa as $key => $value) {
        //     # code...
        //     Wus::create([
        //         'desa_id' => $value->id,
        //     ]);
        // }
        $data=[
            'route'=>$this->routeName,
            'title'=>$this->title,
            'unit_kerja' =>  $unit_kerja,
            'desa' => Auth::user()->unit_kerja?Auth::user()->unit_kerja->Desa()->get():Desa::all(),
        ];

        return view($this->viewName.'.index')->with($data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $ibuHamil = IbuHamilDanBersalin::where('id', $request->id)->first();
        $ibuHamil->update([
            $request->name => $request->value,
        ]);
        $dapat_ttd = $ibuHamil->jumlah_ibu_hamil>0?number_format($ibuHamil->dapat_ttd/$ibuHamil->jumlah_ibu_hamil * 100, 2):0;
        $konsumsi_ttd = $ibuHamil->jumlah_ibu_hamil>0?number_format($ibuHamil->konsumsi_ttd/$ibuHamil->jumlah_ibu_hamil * 100, 2):0;
        return response()->json([
            'status' => 'success',
            'dapat_ttd' => $dapat_ttd,
            'konsumsi_ttd' => $konsumsi_ttd
        ]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
