@extends('layouts.app')

@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Ibu Hamil dan Bersalin</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Input Data</a></li>
                        <li class="breadcrumb-item active">Ibu Hamil dan Bersalin</li>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row justify-content-start mb-2">
                        <div class="col-md-10 d-flex justify-content-around gap-3">
                            {{-- {!! Form::select('induk_opd_id',$induk_opd_arr,"",['class'=>'form-control daerah', 'form'=>'storeForm','required'=>'required','placeholder'=>'Pilih SKPD', 'id'=>'induk_opd']) !!}
                            <select name="program_id" form="storeForm" id="program_id" class="form-control">
                                <option value="">Pilih Program</option>
                            </select>
                            <select name="kegiatan_id" form="storeForm" id="kegiatan_id" class="form-control">
                                <option value="">Pilih Kegiatan</option>
                            </select>
                            --}}
                            <select name="tahun" id="tahun" class="form-control">
                                <option value="2024" {{app('request')->input('year') == 2024 ? "selected":""}}>2024</option>
                            </select> 
                            <button class="btn btn-primary" id="filter">Submit</button>
                        </div>
                        {{-- <div class="col-md-2">
                            <button class="btn btn-primary col-md-12 btn-tambah-program"><i class="mdi mdi-plus"></i> Tambah</button>
                        </div> --}}
                    </div>
                    {{-- <h4 class="card-title">Pengguna</h4> --}}
                    {{-- <p class="card-title-desc">DataTables has most features enabled by
                        default, so all you need to do to use it with your own tables is to call
                        the construction function: <code>$().DataTable();</code>.
                    </p> --}}
                    <div class="table-responsive">
                        <table id="data" class="table table-bordered dt-responsive" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead class="text-center">
                            <tr style="width: 100%">
                                <th rowspan="3">No</th>
                                @role("Admin")
                                <th rowspan="2">Puskesmas</th>
                                @endrole
                                @role("Puskesmas|Pihak Wajib Pajak")
                                <th rowspan="2">Desa</th>
                                @endrole
                                <th rowspan="2">Jumlah Ibu Bersalin</th>
                                <th colspan="18" style="width: 80%">Peserta Aktif KB Modern</th>
                                <th rowspan="2">Efek Samping Ber-KB</th>
                                <th rowspan="2">%</th>
                                <th rowspan="2">Komplikasi Ber-KB</th>
                                <th rowspan="2">%</th>
                                <th rowspan="2">Kegagalan Ber-KB</th>
                                <th rowspan="2">%</th>
                                <th rowspan="2" style="white-space: nowrap;">Drop out Ber-KB</th>
                                <th rowspan="2">%</th>
                            </tr>
                            <tr>
                                <th style="white-space: nowrap">Kondom</th>
                                <th style="white-space: nowrap">%</th>
                                <th style="white-space: nowrap;">Suntik &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                <th>%</th>
                                <th style="white-space: nowrap;">Pil &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                <th>%</th>
                                <th style="white-space: nowrap;">Akdr &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                <th>%</th>
                                <th style="white-space: nowrap;">MOP &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                <th>%</th>
                                <th style="white-space: nowrap;">MOW &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                <th>%</th>
                                <th style="white-space: nowrap;">Implan &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                <th>%</th>
                                <th style="white-space: nowrap;">MAL &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</th>
                                <th>%</th>
                                <th>Jumlah</th>
                                <th>%</th>
                            </tr>
                            </thead>
                            <tbody>
                                @role('Admin')
                                @foreach ($unit_kerja as $key => $item)
                                
                                <tr style={{$key % 2 == 0?"background: gray":""}}>
                                    <td>{{$key + 1}}</td>
                                    <td>{{$item->nama}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["kondom"]}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]>0?number_format($item->ibu_hamil_per_desa(app('request')->input('year'))["kondom"]/$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"] * 100, 2):0 }}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["suntik"]}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]>0?number_format($item->ibu_hamil_per_desa(app('request')->input('year'))["suntik"]/$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"] * 100, 2):0 }}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["pil"]}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]>0?number_format($item->ibu_hamil_per_desa(app('request')->input('year'))["pil"]/$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"] * 100, 2):0 }}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["akdr"]}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]>0?number_format($item->ibu_hamil_per_desa(app('request')->input('year'))["akdr"]/$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"] * 100, 2):0 }}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["mop"]}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]>0?number_format($item->ibu_hamil_per_desa(app('request')->input('year'))["mop"]/$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"] * 100, 2):0 }}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["mow"]}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]>0?number_format($item->ibu_hamil_per_desa(app('request')->input('year'))["mow"]/$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"] * 100, 2):0 }}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["implan"]}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]>0?number_format($item->ibu_hamil_per_desa(app('request')->input('year'))["implan"]/$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"] * 100, 2):0 }}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["mal"]}}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]>0?number_format($item->ibu_hamil_per_desa(app('request')->input('year'))["mal"]/$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"] * 100, 2):0 }}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["mal"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["implan"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["mow"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["mop"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["pil"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["akdr"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["suntik"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["kondom"]
                                        }}</td>
                                    <td>{{$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]>0?number_format((($item->ibu_hamil_per_desa(app('request')->input('year'))["mal"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["implan"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["mow"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["mop"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["pil"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["akdr"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["suntik"]
                                        + $item->ibu_hamil_per_desa(app('request')->input('year'))["kondom"])/$item->ibu_hamil_per_desa(app('request')->input('year'))["jumlah_ibu_bersalin"]) * 100, 2):0 }}</td>
                            </tr>
                                @endforeach
                                @endrole
                                @role('Puskesmas|Pihak Wajib Pajak')
                                @foreach ($desa as $key => $item)
                                @if($item->filterPenyebabKematianIbu(app('request')->input('year')))
                                <tr style='{{$key % 2 == 0?"background: #e9e9e9":""}}'>
                                    <td>{{$key + 1}}</td>
                                    <td>{{$item->nama}}</td>
                                    
                                    <td>{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin}}</td>

                                    <td><input type="number" name="kondom" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->kondom}}" class="form-control data-input" style="border: none; width: 100%"></td>
                                    <td id="kondom{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin>0?number_format($item->filterDesa(app('request')->input('year'))->kondom/$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin * 100, 2):0}}</td>
                                    <td><input type="number" name="suntik" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->suntik}}" class="form-control data-input" style="border: none; width: 100%"></td>
                                    <td id="suntik{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin>0?number_format($item->filterDesa(app('request')->input('year'))->suntik/$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin * 100, 2):0}}</td>
                                    <td><input type="number" name="pil" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->pil}}" class="form-control data-input" style="border: none"></td>
                                    <td id="pil{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin>0?number_format($item->filterDesa(app('request')->input('year'))->pil/$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin * 100, 2):0}}</td>
                                    <td><input type="number" name="akdr" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->akdr}}" class="form-control data-input" style="border: none"></td>
                                    <td id="akdr{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin>0?number_format($item->filterDesa(app('request')->input('year'))->akdr/$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin * 100, 2):0}}</td>
                                    <td><input type="number" name="mop" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->mop}}" class="form-control data-input" style="border: none"></td>
                                    <td id="mop{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin>0?number_format($item->filterDesa(app('request')->input('year'))->mop/$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin * 100, 2):0}}</td>
                                    <td><input type="number" name="mow" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->mow}}" class="form-control data-input" style="border: none"></td>
                                    <td id="mow{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin>0?number_format($item->filterDesa(app('request')->input('year'))->mow/$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin * 100, 2):0}}</td>
                                    <td><input type="number" name="implan" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->implan}}" class="form-control data-input" style="border: none"></td>
                                    <td id="implan{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin>0?number_format($item->filterDesa(app('request')->input('year'))->implan/$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin * 100, 2):0}}</td>
                                    <td><input type="number" name="mal" id="{{$item->filterDesa(app('request')->input('year'))->id}}" value="{{$item->filterDesa(app('request')->input('year'))->mal}}" class="form-control data-input" style="border: none"></td>
                                    <td id="mal{{$item->filterDesa(app('request')->input('year'))->id}}">{{$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin>0?number_format($item->filterDesa(app('request')->input('year'))->mal/$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin * 100, 2):0}}</td>
                                    <td id="jumlah{{$item->filterDesa(app('request')->input('year'))->id}}">{{
                                    $item->filterDesa(app('request')->input('year'))->mal
                                    + $item->filterDesa(app('request')->input('year'))->implan
                                    + $item->filterDesa(app('request')->input('year'))->mow
                                    + $item->filterDesa(app('request')->input('year'))->mop
                                    + $item->filterDesa(app('request')->input('year'))->pil
                                    + $item->filterDesa(app('request')->input('year'))->akdr
                                    + $item->filterDesa(app('request')->input('year'))->suntik
                                    + $item->filterDesa(app('request')->input('year'))->kondom}}</td>
                                    <td id="persen_jumlah{{$item->filterDesa(app('request')->input('year'))->id}}">{{
                                    $item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin>0?number_format(
                                    (($item->filterDesa(app('request')->input('year'))->mal
                                    + $item->filterDesa(app('request')->input('year'))->implan
                                    + $item->filterDesa(app('request')->input('year'))->mow
                                    + $item->filterDesa(app('request')->input('year'))->mop
                                    + $item->filterDesa(app('request')->input('year'))->pil
                                    + $item->filterDesa(app('request')->input('year'))->akdr
                                    + $item->filterDesa(app('request')->input('year'))->suntik
                                    + $item->filterDesa(app('request')->input('year'))->kondom)/$item->filterDesa(app('request')->input('year'))->jumlah_ibu_bersalin) * 100, 2):0}}</td>
                                  </tr>
                                  @endif
                                @endforeach
                                @endrole
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->


</div>

@push('scripts')
    <!-- Required datatable js -->
    <script src="{{asset('assets/libs/datatables.net/js/jquery.dataTables.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js')}}"></script>
    <!-- Buttons examples -->
    <script src="{{asset('assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js')}}"></script>
    <script src="{{asset('assets/libs/jszip/jszip.min.js')}}"></script>
    <script src="{{asset('assets/libs/pdfmake/build/pdfmake.min.js')}}"></script>
    <script src="{{asset('assets/libs/pdfmake/build/vfs_fonts.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.html5.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.print.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.colVis.min.js')}}"></script>
    <!-- Responsive examples -->
    <script src="{{asset('assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js')}}"></script>

@endpush

@push('scripts')
    <script>

        $('#data').on('input', '.data-input', function(){
		let name = $(this).attr('name');
		let value = $(this).val();
		let data = {};
        var url_string = window.location.href;
         var url = new URL(url_string);
        let params = url.searchParams.get("year");
        let id = $(this).attr('id');
        let kondom = $(this).parent().parent().find(`#kondom${id}`);
        let suntik = $(this).parent().parent().find(`#suntik${id}`);
        let pil = $(this).parent().parent().find(`#pil${id}`);
        let mop = $(this).parent().parent().find(`#mop${id}`);
        let mow = $(this).parent().parent().find(`#mow${id}`);
        let implan = $(this).parent().parent().find(`#implan${id}`);
        let akdr = $(this).parent().parent().find(`#akdr${id}`);
        let mal = $(this).parent().parent().find(`#mal${id}`);
        let efek_samping = $(this).parent().parent().find(`#efek_samping${id}`);
        let komplikasi = $(this).parent().parent().find(`#komplikasi${id}`);
        let kegagalan = $(this).parent().parent().find(`#kegagalan${id}`);
        let dropout = $(this).parent().parent().find(`#dropout${id}`);
        let jumlah = $(this).parent().parent().find(`#jumlah${id}`);
        let persen_jumlah = $(this).parent().parent().find(`#persen_jumlah${id}`);
        
		$.ajaxSetup({
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			}
		});

		$.ajax({
			'type' 	: 'POST',
			'url'	: '{{ route("KbBersalin.store") }}',
			'data'	: {'name' : name, 'value' : value, 'id': id, 'year': params},
			success	: function(res){
                kondom.text(`${res.kondom}`);
                pil.text(`${res.pil}`);
                suntik.text(`${res.suntik}`);
                mop.text(`${res.mop}`);
                mow.text(`${res.mow}`);
                implan.text(`${res.implan}`);
                akdr.text(`${res.akdr}`);
                mal.text(`${res.mal}`);
			}
		});
        console.log(name, value, id);
        })
        $("#filter").click(function(){
            let year = $("#tahun").val();
            window.location.href = "/JumlahKematianIbu?year="+year;


        })
    </script>
@endpush
@endsection