@extends('layouts.app')

@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Ibu Hamil dan Bersalin</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Input Data</a></li>
                        <li class="breadcrumb-item active">Ibu Hamil dan Bersalin</li>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row justify-content-start mb-2">
                        <div class="col-md-10 d-flex justify-content-around gap-3">
                            {{-- {!! Form::select('induk_opd_id',$induk_opd_arr,"",['class'=>'form-control daerah', 'form'=>'storeForm','required'=>'required','placeholder'=>'Pilih SKPD', 'id'=>'induk_opd']) !!}
                            <select name="program_id" form="storeForm" id="program_id" class="form-control">
                                <option value="">Pilih Program</option>
                            </select>
                            <select name="kegiatan_id" form="storeForm" id="kegiatan_id" class="form-control">
                                <option value="">Pilih Kegiatan</option>
                            </select>
                            --}}
                            <select name="tahun" id="tahun" class="form-control">
                                <option value="2024" {{app('request')->input('year') == 2024 ? "selected":""}}>2024</option>
                            </select> 
                            <button class="btn btn-primary" id="filter">Submit</button>
                        </div>
                        {{-- <div class="col-md-2">
                            <button class="btn btn-primary col-md-12 btn-tambah-program"><i class="mdi mdi-plus"></i> Tambah</button>
                        </div> --}}
                    </div>
                    {{-- <h4 class="card-title">Pengguna</h4> --}}
                    {{-- <p class="card-title-desc">DataTables has most features enabled by
                        default, so all you need to do to use it with your own tables is to call
                        the construction function: <code>$().DataTable();</code>.
                    </p> --}}
                    <div class="table-responsive">
                        <table id="data" class="table table-bordered dt-responsive" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead class="text-center">
                            <tr style="width: 100%">
                                <th>No</th>
                                @role("Admin")
                                <th>Puskesmas</th>
                                @endrole
                                @role("Puskesmas|Pihak Wajib Pajak")
                                <th>Desa</th>
                                @endrole
                                <th>Jumlah Pus</th>
                                <th>Pus 4T</th>
                                <th>%</th>
                                <th>Pus 4T pada KB Aktif</th>
                                <th>%</th>
                                <th>Pus Alki</th>
                                <th>%</th>
                                <th>Pus Alki pada KB Aktif</th>
                                <th>%</th>
                            </tr>
                            </thead>
                            <tbody>
                                @role('Admin')
                                @foreach ($unit_kerja as $key => $item)
                                
                                <tr style={{$key % 2 == 0?"background: gray":""}}>
                                    <td>{{$key + 1}}</td>
                                    <td>{{$item->nama}}</td>
                                    <td>{{$item->pus_per_desa(app('request')->input('year'))["jumlah"]}}</td>
                                    <td>{{$item->pus_per_desa(app('request')->input('year'))["pus_4_t"]}}</td>
                                    <td>{{$item->pus_per_desa(app('request')->input('year'))["jumlah"]>0?number_format($item->pus_per_desa(app('request')->input('year'))["pus_4_t"]/$item->pus_per_desa(app('request')->input('year'))["jumlah"] * 100, 2):0 }}</td>
                                    <td>{{$item->pus_per_desa(app('request')->input('year'))["pus_4_t_kb"]}}</td>
                                    <td>{{$item->pus_per_desa(app('request')->input('year'))["jumlah"]>0?number_format($item->pus_per_desa(app('request')->input('year'))["pus_4_t_kb"]/$item->pus_per_desa(app('request')->input('year'))["jumlah"] * 100, 2):0 }}</td>
                                    <td>{{$item->pus_per_desa(app('request')->input('year'))["pus_alki"]}}</td>
                                    <td>{{$item->pus_per_desa(app('request')->input('year'))["jumlah"]>0?number_format($item->pus_per_desa(app('request')->input('year'))["pus_alki"]/$item->pus_per_desa(app('request')->input('year'))["jumlah"] * 100, 2):0 }}</td>
                                    <td>{{$item->pus_per_desa(app('request')->input('year'))["pus_alki_kb"]}}</td>
                                    <td>{{$item->pus_per_desa(app('request')->input('year'))["jumlah"]>0?number_format($item->pus_per_desa(app('request')->input('year'))["pus_alki_kb"]/$item->pus_per_desa(app('request')->input('year'))["jumlah"] * 100, 2):0 }}</td>    
                            </tr>
                                @endforeach
                                @endrole
                                @role('Puskesmas|Pihak Wajib Pajak')
                                @foreach ($desa as $key => $item)
                                @if($item->filterPenyebabKematianIbu(app('request')->input('year')))
                                <tr style='{{$key % 2 == 0?"background: #e9e9e9":""}}'>
                                    <td>{{$key + 1}}</td>
                                    <td>{{$item->nama}}</td>
                                    
                                    <td>{{$item->filterPus(app('request')->input('year'))->jumlah}}</td>

                                    <td><input type="number" name="pus_4_t" id="{{$item->filterPus(app('request')->input('year'))->id}}" value="{{$item->filterPus(app('request')->input('year'))->pus_4_t}}" class="form-control data-input" style="border: none; width: 100%"></td>
                                    <td id="pus_4_t{{$item->filterPus(app('request')->input('year'))->id}}">{{$item->filterPus(app('request')->input('year'))->jumlah>0?number_format($item->filterPus(app('request')->input('year'))->pus_4_t/$item->filterPus(app('request')->input('year'))->jumlah * 100, 2):0}}</td>
                                    <td><input type="number" name="pus_4_t_kb" id="{{$item->filterPus(app('request')->input('year'))->id}}" value="{{$item->filterPus(app('request')->input('year'))->pus_4_t_kb}}" class="form-control data-input" style="border: none; width: 100%"></td>
                                    <td id="pus_4_t_kb{{$item->filterPus(app('request')->input('year'))->id}}">{{$item->filterPus(app('request')->input('year'))->jumlah>0?number_format($item->filterPus(app('request')->input('year'))->pus_4_t_kb/$item->filterPus(app('request')->input('year'))->jumlah * 100, 2):0}}</td>
                                    <td><input type="number" name="pus_alki" id="{{$item->filterPus(app('request')->input('year'))->id}}" value="{{$item->filterPus(app('request')->input('year'))->pus_alki}}" class="form-control data-input" style="border: none"></td>
                                    <td id="pus_alki{{$item->filterPus(app('request')->input('year'))->id}}">{{$item->filterPus(app('request')->input('year'))->jumlah>0?number_format($item->filterPus(app('request')->input('year'))->pus_alki/$item->filterPus(app('request')->input('year'))->jumlah * 100, 2):0}}</td>
                                    <td><input type="number" name="pus_alki_kb" id="{{$item->filterPus(app('request')->input('year'))->id}}" value="{{$item->filterPus(app('request')->input('year'))->pus_alki_kb}}" class="form-control data-input" style="border: none"></td>
                                    <td id="pus_alki_kb{{$item->filterPus(app('request')->input('year'))->id}}">{{$item->filterPus(app('request')->input('year'))->jumlah>0?number_format($item->filterPus(app('request')->input('year'))->pus_alki_kb/$item->filterPus(app('request')->input('year'))->jumlah * 100, 2):0}}</td>
                                  </tr>
                                  @endif
                                @endforeach
                                @endrole
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->


</div>

@push('scripts')
    <!-- Required datatable js -->
    <script src="{{asset('assets/libs/datatables.net/js/jquery.dataTables.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js')}}"></script>
    <!-- Buttons examples -->
    <script src="{{asset('assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js')}}"></script>
    <script src="{{asset('assets/libs/jszip/jszip.min.js')}}"></script>
    <script src="{{asset('assets/libs/pdfmake/build/pdfmake.min.js')}}"></script>
    <script src="{{asset('assets/libs/pdfmake/build/vfs_fonts.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.html5.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.print.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-buttons/js/buttons.colVis.min.js')}}"></script>
    <!-- Responsive examples -->
    <script src="{{asset('assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js')}}"></script>
    <script src="{{asset('assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js')}}"></script>

@endpush

@push('scripts')
    <script>

        $('#data').on('input', '.data-input', function(){
		let name = $(this).attr('name');
		let value = $(this).val();
		let data = {};
        var url_string = window.location.href;
         var url = new URL(url_string);
        let params = url.searchParams.get("year");
        let id = $(this).attr('id');
        let pus_4_t = $(this).parent().parent().find(`#pus_4_t${id}`);
        let pus_4_t_kb = $(this).parent().parent().find(`#pus_4_t_kb${id}`);
        let pus_alki = $(this).parent().parent().find(`#pus_alki${id}`);
        let pus_alki_kb = $(this).parent().parent().find(`#pus_alki_kb${id}`);
        
		$.ajaxSetup({
			headers: {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			}
		});

		$.ajax({
			'type' 	: 'POST',
			'url'	: '{{ route("Pus4T.store") }}',
			'data'	: {'name' : name, 'value' : value, 'id': id, 'year': params},
			success	: function(res){
                pus_4_t.text(`${res.pus_4_t}`);
                pus_4_t_kb.text(`${res.pus_4_t_kb}`);
                pus_alki.text(`${res.pus_alki}`);
                pus_alki_kb.text(`${res.pus_alki_kb}`);
			}
		});
        console.log(name, value, id);
        })
        $("#filter").click(function(){
            let year = $("#tahun").val();
            window.location.href = "/JumlahKematianIbu?year="+year;


        })
    </script>
@endpush
@endsection